Bug 145615 - CAN-2005-0149 Mail responds to cookie requests
Summary: CAN-2005-0149 Mail responds to cookie requests
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,public=20050120
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 02:31 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-03-23 19:01:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:323 normal SHIPPED_LIVE Critical: mozilla security update 2005-03-23 05:00:00 UTC

Description Josh Bressers 2005-01-20 02:31:01 UTC
===================================
Mozilla Security Advisory MSA05-011
===================================

Title:      Mail responds to cookie requests
Severity:   High
Reporter:   Michiel van Leeuwen

Fixed in:   Thunderbird 1.0
            Mozilla Suite 1.7.5

Vulnerable: Thunderbird 0.6 - 0.9
            Mozilla Suite 1.7 - 1.7.3


Description
-----------
Mozilla mail clients from March to December 2004 responded to cookie
requests accompanying content loaded over HTTP, ignoring the setting
of the preference "network.cookie.disableCookieForMailNews" (disabled
cookies are the default in mail).

Cookies in mail (especially spam) could be used to track people.


Workaround
----------
Set the mail client not to load remote content at all (the default
setting in Thunderbird, the "View as Simple text" option in the Mozilla Suite).
Upgrade to the fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=267263

Comment 1 Josh Bressers 2005-01-20 02:31:55 UTC
This issue should affect RHEL2.1

Comment 2 Josh Bressers 2005-03-23 19:01:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-323.html



Note You need to log in before you can comment on or make changes to this bug.